class Squares(val firstNNumbers: Int) {
    fun squareOfSum(): Int{
        var sum: Int = 0
        for (i in 0..firstNNumbers){
            sum += i
        }

        return sum * sum
    }

    fun sumOfSquares(): Int{
        var sum: Int = 0
        for (i in 0..firstNNumbers){
            sum += i*i
        }
        return sum
    }

    fun difference(): Int{
        return squareOfSum()-sumOfSquares()
    }
}